## Apache Zeta Components Manual :: Docs For Class ezcWebdavAuth

### Webdav::ezcWebdavAuth

### Class ezcWebdavAuth

Base struct for authentication credentials.

Source for this file: /Webdav/src/structs/auth.php

    ezcBaseStruct
       |
       --ezcWebdavAuth

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcWebdavBasicAuth | Struct containing digest authentication information.
ezcWebdavAnonymousAuth | Struct representing an anonymous user.
ezcWebdavDigestAuth | Struct containing digest authentication information.

### Member Variables

public string | `$username = ''` Username.

### Method Summary

public ezcWebdavAuth | `__construct( [ $username = ''] )` Creates a new credential struct.

### Methods

#### __construct

ezcWebdavAuth __construct( [string $username = ''] )

Creates a new credential struct.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$username` | string |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWebdavBasicAuth::__construct()` | Creates a new basic auth credential struct.
`ezcWebdavAnonymousAuth::__construct()` | Creates a new basic auth credential struct.
`ezcWebdavDigestAuth::__construct()` | Creates a new credential struct for digest authentication.

Documentation generated by phpDocumentor 1.4.3